x.org is Hacker Trash

Colin Guthrie gmane at colin.guthr.ie
Sat Mar 31 03:34:35 PDT 2007

Pavel Troller wrote:
>   For example, I mixed randrproto-1.2 with xserver-1.2.0. What a surprise: it
> crashed. I had to ask and I've got an answer: you need randrproto-1.0.
>   IS SUCH AN INFORMATION AVAILABLE ANYWHERE ? I'm afraid not. At least I didn't
> find it, and I had to waste the time of a developer to answer my stupid
> question.

As others have pointed out, if you want to combine individual releases
you are on your own.

When I saw randrproto1.2 and libxrandr 1.2 etc. released  I wondered how
this would work with xserver 1.2. So I did what anyone would do, I
asked. KeithP kindly replied within a very short time period saying that
it should work nicely if you apply a small patch to xserver to make it
use proto version 1.1 internally and not grab it from randrproto. And it
works like a charm. In mandriva 2007.1 we have randr 1.2 but xserver 1.2
and it works fine. We also have optional xserver 1.3 builds which means
that to get these working we do not need new versions of
randrproto/libxrandr/xrandr apps. Handy.


More information about the xorg mailing list